﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.IO;
using System.Globalization;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;


namespace SDKSample
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>

  public partial class Window1 : Window
  {
    public Window1()
    {
      this.InitializeComponent();
    }

    //-------------------------------------------------
    private void OnInit(object sender, EventArgs e)
    {
      string mdbFile = Path.Combine(AppDataPath, "BookData.mdb");
      string connString = string.Format("Provider=Microsoft.Jet.OLEDB.4.0; Data Source={0}", mdbFile);
      OleDbConnection conn = new OleDbConnection(connString);
      OleDbDataAdapter adapter = new OleDbDataAdapter();
      adapter.SelectCommand = new OleDbCommand("SELECT * FROM BookTable;", conn);
      _dataSet = new DataSet();
      adapter.Fill(_dataSet, "BookTable");
      mainGrid.DataContext = _dataSet;
    }

    private string AppDataPath
    {
      get
      {
        if (string.IsNullOrEmpty(_appPath))
        {
          string appName = Path.GetFileNameWithoutExtension(AppDomain.CurrentDomain.FriendlyName);
          _appPath = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), appName);
        }
        return _appPath;
      }
    }
    private string _appPath;

    //-------------------------------------------------
    private void OnClick(object sender, RoutedEventArgs e)
    {
      DataTable t = _dataSet.Tables["BookTable"];
      DataRow row = t.NewRow();

      row["Title"] = "Microsoft C# Language Specifications";
      row["ISBN"] = "0-7356-1448-2";
      row["NumPages"] = 431;
      t.Rows.Add(row);
    }

    DataSet _dataSet;
  }


  public class bgConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      int numValue = (int)value;
      if (numValue < 350)
        return System.Windows.Media.Brushes.Green;
      else
        return System.Windows.Media.Brushes.Red;
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      return null;
    }
  }
}
